curl --request POST \
--url https://app.tagadapay.com/api/public/v1/processors/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"processor": {
"name": "Stripe US",
"type": "stripe",
"enabled": true,
"supportedCurrencies": [
"USD",
"EUR",
"GBP"
],
"baseCurrency": "USD",
"options": {
"secretKey": "sk_live_...",
"publicKey": "pk_live_...",
"webhookSecret": "whsec_..."
}
}
}
'{
"processor": {
"id": "<string>",
"name": "<string>",
"type": "<string>",
"enabled": true,
"options": {},
"supportedCurrencies": [
"<string>"
],
"baseCurrency": "<string>"
}
}Create a new payment processor (PSP/gateway) connection. Requires org:admin role.
A processor defines:
stripe, nmi, checkout, adyen, airwallex, sandbox, etc.)curl --request POST \
--url https://app.tagadapay.com/api/public/v1/processors/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"processor": {
"name": "Stripe US",
"type": "stripe",
"enabled": true,
"supportedCurrencies": [
"USD",
"EUR",
"GBP"
],
"baseCurrency": "USD",
"options": {
"secretKey": "sk_live_...",
"publicKey": "pk_live_...",
"webhookSecret": "whsec_..."
}
}
}
'{
"processor": {
"id": "<string>",
"name": "<string>",
"type": "<string>",
"enabled": true,
"options": {},
"supportedCurrencies": [
"<string>"
],
"baseCurrency": "<string>"
}
}